import { defineComponent as a, toRefs as f, openBlock as B, createElementBlock as C, Fragment as g, createElementVNode as t, toDisplayString as s, unref as e, normalizeStyle as n, createTextVNode as _, pushScopeId as x, popScopeId as y } from "vue";
import N from "./images/fly.mjs";
const u = (i) => (x("data-v-7079eee0"), i = i(), y(), i), S = { class: "title" }, T = { class: "conent" }, w = /* @__PURE__ */ u(() => /* @__PURE__ */ t("div", { class: "first" }, null, -1)), E = { class: "middle" }, I = { class: "num" }, L = /* @__PURE__ */ u(() => /* @__PURE__ */ t("div", { class: "first" }, null, -1)), k = { class: "middle2" }, D = /* @__PURE__ */ u(() => /* @__PURE__ */ t("div", { class: "innerLeft" }, null, -1)), V = /* @__PURE__ */ u(() => /* @__PURE__ */ t("img", {
  src: N,
  alt: ""
}, null, -1)), b = { class: "middle3" }, j = /* @__PURE__ */ _(" 0 "), q = a({ name: "EComponent27" }), G = /* @__PURE__ */ a({
  ...q,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(i) {
    var d, c;
    const r = i;
    let m = {
      title: "\u603B\u5BB9\u91CF/\u5269\u4F59\u5BB9\u91CF\uFF08\u5355\u4F4D\uFF1A\u5428\uFF09",
      unit: "\u4F7F\u7528\u7387\uFF08%\uFF09",
      useNum: 63e3,
      countNum: 9e4,
      leftText: "\u4F7F\u7528\u60C5\u51B5",
      rightText: "\u603B\u5BB9\u91CF"
    };
    const { title: h, unit: p, useNum: o, countNum: l, leftText: F, rightText: v } = f(
      ((c = (d = r.chartConfig) == null ? void 0 : d.option) == null ? void 0 : c.dataset) || m
    );
    return (z, A) => (B(), C(g, null, [
      t("div", S, [
        t("div", null, s(e(h)), 1),
        t("div", null, s(e(p)), 1)
      ]),
      t("div", T, [
        w,
        t("div", E, [
          t("div", {
            class: "useLine",
            style: n({
              width: e(o) / e(l) * 100 + "%"
            })
          }, [
            t("div", I, s(e(o) / e(l) * 100 + "%"), 1)
          ], 4)
        ]),
        L
      ]),
      t("div", k, [
        t("div", {
          class: "middle2Left",
          style: n({
            width: e(o) / e(l) * 100 + "%"
          })
        }, [
          _(s(e(F)) + " ", 1),
          D,
          V
        ], 4),
        t("div", null, s(e(v)), 1)
      ]),
      t("div", b, [
        t("div", {
          class: "left3",
          style: n({
            width: e(o) / e(l) * 105 + "%"
          })
        }, [
          j,
          t("div", null, s(e(o)), 1)
        ], 4),
        t("div", null, s(e(l)), 1)
      ])
    ], 64));
  }
});
export {
  G as default
};
